%define version 1.5.0
%define release alt2
%setup_python_module PyQuante

Summary: PyQuante: Quantum Chemistry in Python
Name: %{packagename}
Version: %{version}
Release: %{release}.1
Packager: Python Development Team <python@packages.altlinux.org>

Source0: %{modulename}-%{version}.tar.gz
License: BSD
Group: Development/Python
Vendor: Rick Muller <rmuller@sandia.gov>
URL: http://pyquante.sourceforge.net

Patch: PyQuante-ThomasFermi.patch

Requires: python-module-gnuplot
BuildPreReq: python-devel

# Automatically added by buildreq on Mon May 15 2006
BuildRequires: python-modules python-modules-compiler python-modules-encodings

%description
PyQuante is an open-source suite of programs for developing quantum
chemistry methods. The program is written in the Python programming
language, and has many 'rate-determining' modules also written in C
for speed. The resulting code is not nearly as fast as Jaguar,
Gaussian, or GAMESS, but the resulting code is much easier to
understand and modify. The goal of this software is not necessarily to
provide a working quantum chemistry program (although it will
hopefully do that), but rather to provide a well-engineered set of
tools so that scientists can construct their own quantum chemistry
programs without going through the tedium of having to write every
low-level routine. More information, including links to the download
page, is available at http://pyquante.sourceforge.net.


%prep
%setup  -q -n %modulename-%version
%patch -p1

%build
env CFLAGS="$RPM_OPT_FLAGS" %__python setup.py build

%install
%__python setup.py install --root=%buildroot --optimize=2 --record=INSTALLED_FILES

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc Doc LICENSE README Tests

%changelog
* Tue Jan 29 2008 Grigory Batalov <bga@altlinux.ru> 1.5.0-alt2.1
- Rebuilt with python-2.5.

* Tue Jan 22 2008 Grigory Batalov <bga@altlinux.ru> 1.5.0-alt2
- Remove python version from BuildPreReq.

* Mon May 15 2006 Andrey Khavryuchenko <akhavr@altlinux.ru> 1.5.0-alt1
  Initial build
